Bug 219921

Summary: multimedia/libxine: update to version 1.2.9
Product: Ports & Packages Reporter: emorrasg
Component: Individual Port(s)Assignee: Tobias Kortkamp <tobik>
Status: Closed FIXED    
Severity: Affects Only Me CC: ndowens, tobik, w.schwarzenfeld
Priority: --- Keywords: needs-patch, needs-qa
Version: Latest   
Hardware: Any   
OS: Any   
URL: http://xine-project.org/home
Attachments:
Description Flags
svn-diff-libxine_1_2_9
none
libxine.diff (rebase of previous patch; still broken)
none
Update none

Description emorrasg 2017-06-11 08:19:25 UTC
New version libxine 1.2.8. 

http://xine-project.org/home 

2017-02-21: Release
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-02-20 18:52:36 UTC
2018-01-11: Release
xine-lib 1.2.9
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-02-20 19:04:37 UTC
No, I made the same error.
Newest version is 2017-12-28: Release
xine-ui 0.99.10.
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-02-20 19:07:40 UTC
Ok, last post is wrong, 1.2.9 was right.
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-02-21 04:31:28 UTC
Created attachment 190848 [details]
svn-diff-libxine_1_2_9
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-02-21 04:32:11 UTC
ChangeLog:
https://sourceforge.net/projects/xine/files/xine-lib/1.2.9/
Comment 6 Nathan 2018-08-21 22:51:25 UTC
Patch doesn't apply cleanly. Also patches should be created in ports base dir, per porters handbook.
Comment 7 Tobias Kortkamp freebsd_committer 2018-08-22 00:22:11 UTC
Created attachment 196428 [details]
libxine.diff (rebase of previous patch; still broken)

> Patch doesn't apply cleanly.

Only the PORT{VER,REVI}SION hunk doesn't apply which is trivial to
fix and about what one would expect given the age of the patch.
files/patch-ffmpeg4 needs to be deleted too (part of libxine now).

I'm more worried about the changes in pkg-plist like dropping the
%%NLS%%, %%ESOUND%%, %%JACK%% and various other options prefixes,
and the bogus %%DATADIR%%-lib, etc.  Clearly this patch has not
been thoroughly tested with regards to options and in its current
state would require significant time investment by a committer
before committing it.

To be clear: I'm attaching a rebased patch, but I have not fixed
any of the problems.

> Also patches should be created in ports base dir, per porters
> handbook.

Hmm, the patch format and base is ok and seems to be pretty
much created as described here:

https://www.freebsd.org/doc/en/books/porters-handbook/port-upgrading.html#svn-diff
Comment 8 Nathan 2018-08-22 00:28:40 UTC
(In reply to Tobias Kortkamp from comment #7)
Hmm thought it said to use ports' base. 

I will probably try to work on this possibly
Comment 9 Nathan 2018-08-22 05:17:27 UTC
Created attachment 196434 [details]
Update

Ports that depends on this built fine; I'm testing arm64 build right now to see if it's still broken atm.
Comment 10 Tobias Kortkamp freebsd_committer 2018-08-22 06:13:01 UTC
(In reply to Nathan from comment #9)
Could you create a new review on https://reviews.freebsd.org for this?

https://wiki.freebsd.org/Phabricator
Comment 11 Nathan 2018-08-22 11:27:04 UTC
(In reply to Tobias Kortkamp from comment #10)
https://reviews.freebsd.org/D16840
Comment 12 commit-hook freebsd_committer 2018-08-31 08:16:49 UTC
A commit references this bug:

Author: tobik
Date: Fri Aug 31 08:16:23 UTC 2018
New revision: 478529
URL: https://svnweb.freebsd.org/changeset/ports/478529

Log:
  multimedia/libxine: Update to 1.2.9

  - Cleanup options
  - Enable IMAGEMAGICK by default
  - Make DVB support optional but leave it enabled by default
  - Add SNDIO option
  - Properly order pkg-plist
  - Unbreak on aarch64
  - Bump revision of dependent ports [1]

  Changes:	https://sourceforge.net/projects/xine/files/xine-lib/1.2.9/README.txt/view
  ABI:		https://abi-laboratory.pro/tracker/timeline/xine-lib/ [1]
  PR:		219921
  Reported by:	emorrasg@yahoo.es
  Submitted by:	w.schwarzenfeld@utanet.at (initial version), Nathan <ndowens@yahoo.com>
  Reviewed by:	mat, tobik
  Differential Revision:	https://reviews.freebsd.org/D16840

Changes:
  head/audio/atunes/Makefile
  head/devel/efl/Makefile
  head/graphics/gimageview/Makefile
  head/graphics/opencv/Makefile
  head/graphics/osg/Makefile
  head/graphics/osg-devel/Makefile
  head/multimedia/gxine/Makefile
  head/multimedia/gxine/pkg-plist
  head/multimedia/k9copy-kde4/Makefile
  head/multimedia/libxine/Makefile
  head/multimedia/libxine/distinfo
  head/multimedia/libxine/files/patch-configure
  head/multimedia/libxine/files/patch-ffmpeg3
  head/multimedia/libxine/files/patch-ffmpeg4
  head/multimedia/libxine/files/patch-include-xine-xine_internal.h
  head/multimedia/libxine/files/patch-include-xine-xineutils.h
  head/multimedia/libxine/files/patch-include_config.h
  head/multimedia/libxine/files/patch-src-audio_dec-xine_lpcm_decoder.c
  head/multimedia/libxine/files/patch-src-combined-ffmpeg-Makefile.in.diff
  head/multimedia/libxine/files/patch-src-post-deinterlace-plugins-greedy2frame_template_sse2.c
  head/multimedia/libxine/files/patch-src-post-planar-eq2.c
  head/multimedia/libxine/files/patch-src-vdr-input_vdr.c
  head/multimedia/libxine/pkg-plist
  head/multimedia/phonon-xine/Makefile
  head/multimedia/phonon-xine/files/patch-xine__kequalizer_plugin.cpp
  head/multimedia/quark/Makefile
  head/multimedia/subtitlecomposer-kde4/Makefile
  head/multimedia/vdr-plugin-xineliboutput/Makefile
  head/multimedia/xine/Makefile
  head/www/npapi-xine/Makefile
  head/x11/eaglemode/Makefile
Comment 13 Tobias Kortkamp freebsd_committer 2018-08-31 08:23:26 UTC
Committed. Thanks!